unit Uinitialisation;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, DB, IBCustomDataSet, IBStoredProc;

type
  TFrminitialisation = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Panel1: TPanel;
    Label1: TLabel;
    Panel2: TPanel;
    Label2: TLabel;
    eMotPasse: TEdit;
    Initialisation: TIBStoredProc;
    procedure BitBtn1Click(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Frminitialisation: TFrminitialisation;

implementation
     uses udataprix;
{$R *.dfm}


procedure TFrminitialisation.BitBtn1Click(Sender: TObject);
begin
if eMotPasse.Text='masterkey'  then
  begin
   INITIALISATION.ExecProc;
    showmessage('Initialisation efféctuée');
    close;
   end
  else
     showmessage('Mot de Passe Incorrect');
end;

end.
